%global srcname eyed3

Name:           python-%{srcname}
Version:        0.8
Release:        4%{?dist}
Summary:        Python audio data toolkit (ID3 and MP3)
License:        GPLv3
URL:            http://eyed3.nicfit.net/
Source0:        http://eyed3.nicfit.net/releases/eyeD3-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
# Test dependencies.
BuildRequires:  python2-nose
BuildRequires:  python2-six
BuildRequires:  python2-pytest
BuildRequires:  python2-mock
BuildRequires:  python2-factory-boy
BuildRequires:  python2-pathlib
BuildRequires:  python2-ipaddress

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# Test dependencies.
BuildRequires:  python3-nose
BuildRequires:  python3-six
BuildRequires:  python3-pytest
BuildRequires:  python3-mock
BuildRequires:  python3-factory-boy
BuildRequires:  python3-grako

%global _description\
A Python module and program for processing ID3 tags. Information about\
mp3 files(i.e bit rate, sample frequency, play time, etc.) is also\
provided. The formats supported are ID3 v1.0/v1.1 and v2.3/v2.4.

%description %_description

%package -n python2-%{srcname}
Summary: %summary
Requires:       python2-pathlib
Requires:       python2-six
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %_description

%package -n python3-%{srcname}
Summary: %summary
Requires:       python3-six
Recommends:     python3-grako
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_description


%prep
%setup -qn eyeD3-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
# Ship only Py3 version of executable.
rm %{buildroot}%{_bindir}/*
%py3_install


%check
# Ignore tests which require:
# - test data (test_classic_plugin.py, test_core.py, test_frames.py)
# - an optional dependency on python2-grako (test_display_plugin.py in python2 tests)
# - a missing text_unidecode dependency of factory-boy and faker (test_factory.py)
py.test-%{python2_version} --ignore=src/test/{test_classic_plugin.py,test_core.py,id3/test_frames.py,test_display_plugin.py,test_factory.py}
py.test-%{python3_version} --ignore=src/test/{test_classic_plugin.py,test_core.py,id3/test_frames.py,test_factory.py}


%files -n python2-%{srcname}
%doc AUTHORS.rst HISTORY.rst README.rst examples/
%license LICENSE
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/eyeD3-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{srcname}
%doc AUTHORS.rst HISTORY.rst README.rst examples/
%license LICENSE
%{_bindir}/eyeD3
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/eyeD3-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Sep 28 2018 Frank Dana (FeRD) <ferdnyc@gmail.com - 0.8-4
- Add weak dependency on python3-grako

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8-2
- Rebuilt for Python 3.7

* Fri Apr 13 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.8-1
- Update to 0.8
- Add a Python 3 subpackage (#1472490)

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.7.10-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.10-4
- Python 2 binary package renamed to python2-eyed3
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 15 2017 David King <amigadave@amigadave.com> - 0.7.10-1
- Update to 0.7.10

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Mar 01 2016 David King <amigadave@amigadave.com> - 0.7.9-2
- Remove unused python-magic dependency

* Fri Feb 26 2016 David King <amigadave@amigadave.com> - 0.7.9-1
- Update to 0.7.9
- Use license macro for COPYING
- Use python_provide macro (#1285546)
- Use py2_build and py2_install macros

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Nov 28 2014 P J P <pjp@fedoraproject.org> - 0.7.5-1
- New release

* Wed Nov 19 2014 Mr Niranjan <mrniranjan@fedoraproject.org> - 0.7.4-4
- Fixed CVE-2014-1934, patch from Travis Shirk.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 10 2014 Christopher Meng <rpm@cicku.me> - 0.7.4-2
- Dependencies cleanup.

* Fri Dec 27 2013 Christopher Meng <rpm@cicku.me> - 0.7.4-1
- Update to 0.7.4.
- Add EPEL support.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 12 2013 Christopher Meng <rpm@cicku.me> - 0.7.3-1
- New version.
- Remove paver BR.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 27 2012 bpepple <bpepple@fedoraproject.org> 0.6.18-2
- Rebase UserTextFrames patch.

* Fri Jan 27 2012 bpepple <bpepple@fedoraproject.org> 0.6.18-1
- Update to 0.6.18.

* Mon Jan 09 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.6.17-7
- Rebuild for new gcc.

* Fri Aug  5 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.6.17-6
- Add patch to fix crashes on files with empty UserTextFrames.
- Drop buildroot & clean sections. No longer needed.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.17-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb  3 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.6.17-1
- Update to 0.6.17.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.16-2
- Rebuild for Python 2.6

* Thu Jun 19 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.16-1
- Update to 0.6.16.

* Sat Mar  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.15-1
- Update to 0.6.15.
- Update license tag.

* Fri May 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.14-1
- Update to 0.6.14.

* Sat Feb 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.12-1
- Update to 0.6.12.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.11-3
- Change BR to python-devel.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.11-2
- Rebuild against new python.

* Wed Nov 22 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.11-1
- Update to 0.6.11.

* Sat Oct  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.10-2
- Change BR to python.
- Remove unnecessary make in build section.

* Sat Oct  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.10-1
- Initial FE spec.
